Subject: [PATCH v3 2/2] DMAEngine: Add DMAEngine driver based on old MSM DMA APIs

From: [email-masked] (Ravi Kumar V)
Date: Thu, 15 Mar 2012 23:27:51 +0530

On 3/13/2012 4:27 PM, Shantanu Gupta wrote:
> Any info available(publicly) on so as to what all chipsets have this
> capability ?

This is DMA engine driver for "Application Data Mover(ADM)" which in one 
type of DMA device in most of the Qualcomm processors like snapdragon.

>
> On Tue, Mar 13, 2012 at 1:44 AM, Daniel Walker <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     On Mon, Mar 12, 2012 at 04:02:44PM +0530, Ravi Kumar V wrote:
>      > Add DMAEngine based driver using the old MSM DMA APIs internally.s
>
>     What do you mean by this?
>
>      > The benefit of this approach is that not all the drivers
>      > have to get converted to DMAEngine APIs simultaneosly while
>      > both the drivers can stay enabled in the kernel. The client
>      > drivers using the old MSM APIs directly can now convert to
>      > DMAEngine one by one.
>
>     Which drivers?
>
>     Daniel
>     --
>     To unsubscribe from this list: send the line "unsubscribe
>     linux-arm-msm" in
>     the body of a message to majordomo at vger.kernel.org
>     <mailto:[email-masked]>
>     More majordomo info at http://vger.kernel.org/majordomo-info.html
>
>

-- 
Sent by a consultant of the Qualcomm Innovation Center, Inc.
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum.